> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rag.now/llms.txt
> Use this file to discover all available pages before exploring further.

# Set the connection status

> Set the status of a connection.



## OpenAPI

````yaml patch /api/connect/set-connection-status
openapi: 3.0.3
info:
  title: Graphite API Documentation
  description: API documentation for Graphite
  version: 1.0.0
servers: []
security: []
paths:
  /api/connect/set-connection-status:
    patch:
      tags:
        - graphite-connect
      summary: Set the connection status
      description: Set the status of a connection.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetConnectionStatusBody'
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SetConnectionStatusResponse'
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    SetConnectionStatusBody:
      type: object
      properties:
        source_type:
          type: string
          enum:
            - zendesk_support
            - notion
            - confluence
            - shopify
            - gitbook
        status:
          type: string
          enum:
            - active
            - inactive
      required:
        - source_type
        - status
    SetConnectionStatusResponse:
      type: object
      properties:
        success:
          type: boolean
      required:
        - success
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        message:
          type: string
      required:
        - error
        - message

````